.PHONY: run pdf ghci

INPUT = sketch.md.lhs
TWOPIS = $(wildcard *.twopi)

png: $(TWOPIS:.twopi=.png)

%.png : %.twopi
	twopi -Tpng -Goverlap=scale -o $@ $<

pdf: $(INPUT)
	pandoc -f markdown+lhs+smart+emoji -H make-code-footnotesize.tex \
	-o documentation.pdf $(INPUT)

slides: $(INPUT)
	pandoc -f markdown+lhs+smart+emoji -t revealjs --self-contained --incremental \
	-o documentation.html $(INPUT)


run: $(INPUT)
	runhaskell $(INPUT)

ghci: $(INPUT)
	ghci $(INPUT)
